# Uses of Interface
org.springframework.dao.support.PersistenceExceptionTranslator

Packages that use PersistenceExceptionTranslator
Package
Description
org.springframework.dao.annotation
Annotation support for DAOs.
org.springframework.dao.support
Support classes for DAO implementations, providing miscellaneous utility methods.

## Uses of PersistenceExceptionTranslator in org.springframework.dao.annotation

Constructors in org.springframework.dao.annotation with parameters of type PersistenceExceptionTranslator
Modifier
Constructor
Description
``
`PersistenceExceptionTranslationAdvisor(PersistenceExceptionTranslator persistenceExceptionTranslator, Class<? extends Annotation> repositoryAnnotationType)`
Create a new PersistenceExceptionTranslationAdvisor.

## Uses of PersistenceExceptionTranslator in org.springframework.dao.support

Classes in org.springframework.dao.support that implement PersistenceExceptionTranslator
Modifier and Type
Class
Description
`class`
`ChainedPersistenceExceptionTranslator`
Implementation of `PersistenceExceptionTranslator` that supports chaining, allowing the addition of PersistenceExceptionTranslator instances in order.
Methods in org.springframework.dao.support that return PersistenceExceptionTranslator
Modifier and Type
Method
Description
`protected PersistenceExceptionTranslator`
PersistenceExceptionTranslationInterceptor.`detectPersistenceExceptionTranslators(org.springframework.beans.factory.ListableBeanFactory bf)`
Detect all PersistenceExceptionTranslators in the given BeanFactory.
`final PersistenceExceptionTranslator[]`
ChainedPersistenceExceptionTranslator.`getDelegates()`
Return all registered PersistenceExceptionTranslator delegates (as array).
Methods in org.springframework.dao.support with parameters of type PersistenceExceptionTranslator
Modifier and Type
Method
Description
`final void`
ChainedPersistenceExceptionTranslator.`addDelegate(PersistenceExceptionTranslator pet)`
Add a PersistenceExceptionTranslator to the chained delegate list.
`void`
PersistenceExceptionTranslationInterceptor.`setPersistenceExceptionTranslator(PersistenceExceptionTranslator pet)`
Specify the PersistenceExceptionTranslator to use.
`static RuntimeException`
DataAccessUtils.`translateIfNecessary(RuntimeException rawException, PersistenceExceptionTranslator pet)`
Return a translated exception if this is appropriate, otherwise return the given exception as-is.
Constructors in org.springframework.dao.support with parameters of type PersistenceExceptionTranslator
Modifier
Constructor
Description
``
`PersistenceExceptionTranslationInterceptor(PersistenceExceptionTranslator pet)`
Create a new PersistenceExceptionTranslationInterceptor for the given PersistenceExceptionTranslator.